<div id="trail">
  <html:link page="/"><bean:message key="title.label.top" /></html:link>
  &raquo;&nbsp;<bean:message key="title.label.listFolder" />
</div>

<h2><bean:message key="title.label.listFolder" /></h2>

<html:messages id="msg" message="false">
	<div class="info">${msg}</div>
</html:messages>

<html:form action="/saveFolder">
	<fieldset>	
		<legend class="folder"><bean:message key="label.folder.saveFolder" bundle="site"/></legend>
		<div>
		<span class="formTitle"><bean:message key="label.folder.foldername" bundle="site"/></span>
			<html:text property="foldername"/>
			<html:hidden property="folderpath" value="${pageName_}"/>
		</div>
		<html:submit/>			
	</fieldset>
</html:form>

<html:form action="/deleteFolder">
<html:hidden property="folderpath" value="${pageName_}"/>

  <fieldset>
  <legend class="folder">${pageName_} <bean:message key="label.folder.listFolder" bundle="site"/></legend>
  <c:if test="${parent_ != null}">
  <html:link page="/listFolder.do?_pageName_=${my:urlEncode(parent_)}"><bean:message key="label.folder.listFolder.up" bundle="site"/></html:link>
  </c:if>

  <c:if test="${my:size(folderContents_) != 0}">
  <ul id="folderlist">
    <c:forEach items="${folderContents_}" var="item">
      <li><html:checkbox property="uris" value="${item.path}"/>
      <c:choose>
		<c:when test="${item.folder}">
      		<html:link page="/listFolder.do?_pageName_=${my:urlEncode(item.path)}" styleClass="folder">
      			${item.pageName}&nbsp;
      		</html:link>
      		<c:if test="${site_.restriction}">
				(<tag:popup page="${contextPath_}/${site_.name}/createFolderSetting.do?_pageName_=${my:urlEncode(item.path)}" width="400" height="400"><bean:message key="label.folder.listFolder.security" bundle="site"/></tag:popup>)
			</c:if>
    	  </c:when>
      	  <c:otherwise> 
      	  	<html:link page="/${my:urlEncode(item.path)}" styleClass="file">${item.pageName}&nbsp;</html:link>
      	    <c:if test="${site_.restriction}">
				(<tag:popup page="${contextPath_}/${site_.name}/createFolderSetting.do?_pageName_=${my:urlEncode(item.path)}" width="400" height="400"><bean:message key="label.folder.listFolder.security" bundle="site"/></tag:popup>)
			</c:if>
      	  </c:otherwise>
       </c:choose>
      (<tag:popup page="${contextPath_}/${site_.name}/createPageRename.do?_pageName_=${my:urlEncode(item.path)}" width="400" height="150"><bean:message key="button.rename" /></tag:popup>)
      (<tag:popup page="${contextPath_}/${site_.name}/createPageMove.do?_pageName_=${my:urlEncode(item.path)}" width="400" height="150"><bean:message key="button.move" /></tag:popup>)
      </li>
    </c:forEach>
  </ul>
  <html:submit><bean:message key="button.delete" /></html:submit>
  </c:if>
  </fieldset>
</html:form>
